POST api/pcconfigapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

PcConfigViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

id

globally unique identifier

None.

key

globally unique identifier

Required

pc_id

globally unique identifier

Required

value

string

String length: inclusive between 0 and 500

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "id": "07169e7e-2210-460f-a176-68446dfe8523",
  "key": "948bcd28-4b13-4d07-90eb-d08133f4fe6b",
  "pc_id": "8c054d65-46e1-4cc0-a987-d8dddfdfc8af",
  "value": "sample string 3"
}

application/xml, text/xml

Sample:
<pc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <id>07169e7e-2210-460f-a176-68446dfe8523</id>
  <key>948bcd28-4b13-4d07-90eb-d08133f4fe6b</key>
  <pc_id>8c054d65-46e1-4cc0-a987-d8dddfdfc8af</pc_id>
  <value>sample string 3</value>
</pc_config>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"20ab983b-fa31-411f-9d77-d82e8b95d754"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">20ab983b-fa31-411f-9d77-d82e8b95d754</guid>